@import "preact-material-components/TopAppBar/mdc-top-app-bar.scss";

.product {
	padding-top: $mdc-top-app-bar-row-height;
	margin-bottom: 56px * 5;
}

.p0 {
	padding: 0;
}

$cell-border: 1px solid gray;

.lightBorderTable {
	width: 100%;
	border: none;
	border-spacing: 0;
	border-collapse: collapse;

	tr {
		th {
			border-left: $cell-border;
		}
		
		th:first-of-type {
			border-left: none;
		}
	}

	tbody {
		tr {
			td {
				padding: 4px;
				border-left: $cell-border;
				border-bottom: $cell-border;
			}
			
			td:first-of-type {
				border-left: none;
			}
		}

		tr:first-of-type {
			td {
				border-top: $cell-border;
			}
		}

		tr:last-of-type {
			td {
				border-bottom: none;
			}
		}
	}
}

.taj {
	text-align: justify;
}

.sysrContainer {
	padding-top: 8px;
	padding-bottom: 8px;
	padding-left: 32px;
	padding-right: 32px;
}

@import "../../../lib/css/breakpoints.scss";
@import "../../../lib/css/container.scss";

$media-height-kiosk: (
	desktop: 400px,
	tablet: 300px,
	phone: 200px
);

.container {
	@extend :global(.mdc-horizontal-scroll-container);
	@include media-height;
}

.containerKiosk {
	overflow: hidden;
	text-align: center;
	@include media-height($media-height-kiosk);
	
	.container {
		height: calc(100% + 16px);
	}
}

.media {
	@include media-width;
	height: 100%;
}

.snackbar {
	z-index: 4;
}

.el {
	padding: 4px;
	margin-left: 8px;
	margin-right: 8px;
	line-height: 0;
}

.msgInput {
	width: calc(100% - 48px - 1px);
	display: inline-block;
}

.msgIco {
	font-size: 48px;
	color: var(--mdc-theme-secondary);
	vertical-align: top;
}

.b {
	clear: both; 
	float: right;
	vertical-align: top;
}

.br {
	clear: both;
	float: right;
	vertical-align: top;
}

.brating {
	position: relative;
	margin-right: 2px;
}

.bratingm {
	@extend .brating;
	@include mdc-theme-prop(background-color, primary);
	@include mdc-theme-prop(color, on-primary);
}

@import "../../../lib/css/flickering.scss";

.blabel {
	position: absolute;
	left: 14%;
	top: 20%;
	font-size: 62%;
	@extend .f10;
}

.gg0 {
	grid-gap: 0;
}
